import gnu.io.*;
import java.io.*;

public class LiaisonSerie {
    protected SerialPort serialPort;
    protected PrintStream ps;
    protected BufferedReader br;
    protected CommPortIdentifier portIdentifier;
    
    public LiaisonSerie(ParaSerie paraSerie) throws PortInUseException, NoSuchPortException, UnsupportedCommOperationException, IOException{
        String portName=paraSerie.getPortName();
        CommPortIdentifier portIdentifier = CommPortIdentifier.getPortIdentifier(portName);
        serialPort = (SerialPort) portIdentifier.open("proto",2000);
        serialPort.setSerialPortParams(paraSerie.baudRate,SerialPort.DATABITS_8,SerialPort.STOPBITS_1,SerialPort.PARITY_NONE);
        OutputStream os=serialPort.getOutputStream();
        ps=new PrintStream(os);
        InputStream is=serialPort.getInputStream();
        br = new BufferedReader(new InputStreamReader(is));        
    }
    public void send(String s){
        ps.print(s);
    }
    @SuppressWarnings("empty-statement")
    String readLine() throws IOException{
        System.out.println("attente reponse");
        while(br.ready()==false); // boucle attente
        String resp=br.readLine();
        return resp;
    }
    public void close(){
        serialPort.close();
    }
}
